### Function

# GLib PtrArray remove

#### Declaration

    gboolean
    g_ptr_array_remove (
      GPtrArray* array,
      gpointer data
    )

#### Description

Removes the first occurrence of the given pointer from the pointer array. The following elements are moved down one place. If `array` has a non-`NULL` `GDestroyNotify` function it is called for the removed element.

It returns `TRUE` if the pointer was removed, or `FALSE` if the pointer was not found.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GPtrArray`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  The pointer to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the pointer is removed, `FALSE` if the pointer is not found in the array.